// Imports
#import <stdio.h>
#import <fnmatch.h>
#import <Cocoa/Cocoa.h>
#import <ApplicationServices/ApplicationServices.h>
#import <ImageInfoApp.h>
#import <stdlib.h>

// Main entry point
int main (int argc, const char * argv[]) {

	// Create an autorelease pool
	NSAutoreleasePool *pool = [[NSAutoreleasePool alloc] init];

	// Get the command line parameters
	NSArray *arguments = [[NSProcessInfo processInfo] arguments];
	unsigned count = [arguments count];
	
	// Run an external command
	printf( "%s", [[ImageInfoApp runCommand:@"/usr/bin/env"] cString] );
	
	// Show the help if no arguments are given
	if ( count <= 1 ) {
		[ImageInfoApp showHelp];
		return 0;
	}
	
	// Show the list of volumes
	[ImageInfoApp listVolumes];
	
	// Loop over the arguments
	int i;
	for ( i = 1; i < count; i++ ) {
	
		// Get the filename from the arguments
		NSString* path = [arguments objectAtIndex:i];
		
		// Show the EXIF information
		[ImageInfoApp showExifInfo:path];
		
	}
	
	// Release the pool
	[pool release];

	// Return 0
	return ( EXIT_SUCCESS );
	
}
